Categories
Catalog categories
Archive
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/archive" \ -H "Content-Type: application/json" \ -d '{ "categoryId": "string" }'{}Archive Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/archiveMany" \ -H "Content-Type: application/json" \ -d '{ "categoryIds": [ "string" ] }'{}Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/create" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{}Force Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/forceDelete" \ -H "Content-Type: application/json" \ -d '{ "categoryId": "string" }'{}Force Delete Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/forceDeleteMany" \ -H "Content-Type: application/json" \ -d '{ "categoryIds": [ "string" ] }'{}Get Many
Path Parameters
1 <= lengthQuery Parameters
false101 <= value <= 100["created_desc"]11 <= valueResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/categories"{}curl -X GET "https://www.prolifto.store/api/string/categories/lite"{}Get Names By Ids
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/getNamesByIds" \ -H "Content-Type: application/json" \ -d '{ "categoryIds": [ "string" ] }'{}Get One
Path Parameters
1 <= length1 <= lengthQuery Parameters
falseResponse Body
application/json
curl -X GET "https://www.prolifto.store/api/string/categories/string"{}Restore
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/restore" \ -H "Content-Type: application/json" \ -d '{ "categoryId": "string" }'{}Restore Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/restoreMany" \ -H "Content-Type: application/json" \ -d '{ "categoryIds": [ "string" ] }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/categories/update" \ -H "Content-Type: application/json" \ -d '{ "categoryId": "string", "name": "string" }'{}